<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

include ('theme/header.php');
include ('include/constants.php');

/*
 * grab GET vars
 */
foreach ($_GET as $field => $value) {
    //right now, none of these are db fields and can't hurt anything
    $$field = $value;
}

$date = (isset($date)) ? $date : "";
$errorCode = (isset($code)) ? $code : "";

switch ($errorCode) {
    case $NOT_AVAILABLE:
		$requestedIssue = (isset($date)) ? " (".$date.")" : "";
        $errmsg = "Requested Issue".$requestedIssue." is not available at this time.";
        break;
    case $SUCCESS:
    	$errmsg = "Unexpected error occurred.";
        break;
	default:
       	$errmsg = "Unknown error occurred.";
        break;
}

?>
    <!-- Start of Content -->
    <div id="content">
		<p><?php echo $errmsg; ?></p>
    <!-- End of Content -->
    </div>
    
<?php
include ('theme/footer.php');
 ?>