<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

include ('include/conf.php');
$meta_keywords = $submenuInfo['keywords'];
$meta_description = $submenuInfo['metadesc'];
include ('theme/header.php');

$content_class = "content";

if( !$show_submenus ) $content_class = "nls_content";
?>
    <!-- Start of Content -->

        <?php if ($hasSubmenuImage) { ?>
		  <td class="content_image">
            <img class="submenuImage" src="<?php echo $submenuImage;?>" alt="<?php echo $submenuAltText;?>">
		  </td>
        <?php } ?>

		  <td class="content_body">
            <h4><?php echo $submenuInfo['title']; ?></h4>

        <?php 
        if ($submenuInfo['description']) { 
            echo getBody($submenuInfo['description'],true);
            //echo html_entity_decode($submenuInfo['description']);
        } else {
            echo "There has been an error obtaining this page.";
        }

        ?>
        <?php if ($hasSubmenuMoreInfo) { ?>
            <p>For more information, see <?php echo $submenuMoreInfoLink?></p>.
        <?php } ?>
          
          </td>    
     <!-- End of Content -->
<?php
include ('theme/footer.php');
 ?>