<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

include ('include/conf.php');
$meta_keywords = $submenuInfo['keywords'];
$meta_description = $submenuInfo['metadesc'];
$menu='sitemap';
include ('theme/header.php');
?>

<div id="content">
<h4>Sitemap</h4>
</div>
  
<div id="sitemap">

<div id="col1">
<?php
	// include home page
    echo "<p class='sitemap_mainmenu'><a href='$homeURL'>Home</a></p>\n";
    
    //loop for Main Menu links
    foreach ($mainMenuItems as $menuItem) {
		$menuID = $menuItem['id'];

		if( $menuID == "collaborations"){
			echo "</div>\n<div id='col2'>\n";
		}
		
        echo "<p class='sitemap_mainmenu'><a href='index.php?menu={$menuID}{$ext}'>{$menuItem['title']}</a></p>\n";

		$tmpSubmenuItems = $site->getSubmenuList($menuID);

	    //loop for Submenu links
        foreach ($tmpSubmenuItems as $tmpSubmenuItem) {
            echo "  <p class='sitemap_submenu'><a href='index.php?menu={$menuID}&submenu={$tmpSubmenuItem['id']}{$ext}'>{$tmpSubmenuItem['label']}</a></p>\n";

		    // project doc link
		    $tmpSubmenuInfo = $site->getSubmenuItemInfo($menuID, $tmpSubmenuItem['id']);
			$tmpSubmenuMoreInfoLink = $site->getLink($tmpSubmenuInfo);
			$tmphasSubmenuMoreInfo = ( isset($tmpSubmenuMoreInfoLink) && strlen($tmpSubmenuMoreInfoLink) > 0 ) ? true : false;
            if( $tmphasSubmenuMoreInfo ){
	            echo "    <p class='sitemap_projectdoc'>$tmpSubmenuMoreInfoLink</p>\n";
            }
        }
    }

	// footer links
  	$footerMenuID = $site->getFooterMenuID();	
  	foreach ($footermenuItems as $footermenuItem) {
  		$externalHref = $site->getFooterExternalHref($footermenuItem);
		if( $externalHref == null )
       		echo "<p class='sitemap_footermenu'><a href='index.php?menu={$footerMenuID}&submenu={$footermenuItem['id']}{$ext}'>{$footermenuItem['title']}</a></p>\n";
       	else
       		echo "<p class='sitemap_footermenu'><a href='$externalHref'>{$footermenuItem['title']}</a></p>\n";
   	}

?>

</div>
</div>

<?php
include ('theme/footer.php');
 ?>