<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */
// Start session if we need it.
//session_start();

if( $meta_keywords == null || strlen($meta_keywords) <= 0 )
	$meta_keywords = "NSDL, NCore, Core Integration, Technical";
if( $meta_description == null || strlen($meta_description) <= 0 )
	$meta_description = $generated_meta_description;	

$tagline = "The NCore Platform supporting the NSDL Community";
$tagline = "technology and standards for building <br>collaborative infrastructure for digital libraries and repositories";
$tagline = "technology and standards for a dynamic information layer <br>on top of library resources";

$homeURL = '/tns';
if( $test==true ){ $homeURL .= "?test"; }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />    
	<meta name="keywords" content="<?php echo $meta_keywords; ?>" />
	<meta name="description" content="<?php echo $meta_description; ?>" />
	<meta name="copyright" content="July 2008" />
	<title><?php echo $meta_title; ?></title>
	<link href="theme/style.css" rel="stylesheet" type="text/css" />
	<link href="theme/template.css" rel="stylesheet" type="text/css" />
	<link href="theme/print.css" rel="stylesheet" type="text/css" media="print" />
</head>
<body>
  <!-- Heading -->
  <div id="heading">
		<div style="float:right;margin:4px 10px;border: 2px dotted black;padding: 0 5px;background-color: #EEEEEE;">
			<p><a href="/" style="color:red;font-weight:bold;font-size: 14px;">[Return to NSDL Archive Project]</a></p>
		</div>
	<a href="/ncore">
	  <img src="theme/images/NCoreLogo_80p.jpg" alt="NSDL: The NCore Platform" class="noborder"  />
	</a>
	<!-- Future home of ncore.nsdl.org  -->
	<h4><?php echo $tagline;?></h4>
  </div> 

  <!-- This is for media=print only -->
  <div id="printHeader">
	<h3>NSDL: NCore Platform</h3>
	<br />
  </div>
	
  <!--  Menu Bar -->
  <div id="mainmenu_box" >
   	<div>
      <?php
        //Main Menu links

			if( $menu == null )
                echo "\t<span class='selected'>Home</span>\n";
			else
	            echo "\t<a href='.'>Home</a>\n";
            foreach ($mainMenuItems as $menuItem) {
				if( $menuItem['id'] == $menu && $show_submenus )
	                echo "\t<span class='selected'>{$menuItem['title']}</span>\n";
				else
    	            echo "\t<a href='index.php?menu={$menuItem['id']}{$ext}'>{$menuItem['title']}</a>\n";
            }
      ?>
    </div>
  </div>
    
  <table class="center_display">
  <tr>
    <?php if( $show_submenus ) { ?>
    <td class="submenu">
    	<br>
    	<ul class="submenu_list">
        <?php
            foreach ($submenuItems as $submenuItem) {
				if( $submenuItem['id'] == $submenu ){
	                echo "<li>{$submenuItem['label']}</li>\n";
				} else {
					$linkURL = "index.php?menu={$menu}&submenu={$submenuItem['id']}{$ext}";
					if($menu=='about' && $submenuItem['id']=='about!contactus')
						$linkURL = $submenuItem['description'];
    	            echo "<li><a href='{$linkURL}'>{$submenuItem['label']}</a></li>\n";
				}
            }
        ?>
        </ul>
    </td>
    <?php } // end submenu item processing ?>
	<!-- end of header -->
	